## Local deployment with Juju

### Juju local provider setup

    sudo add-apt-repository ppa:juju/stable
    sudo apt update && sudo apt install juju-core

    sudo apt install juju-local

    juju generate-config
    juju switch local
    juju bootstrap

### Deployment (optional)

    juju deploy juju-gui
    juju expose juju-gui
    juju status

### Deployment

    juju deploy --config ubucon-site.yaml python-django ubucon-site
    juju deploy gunicorn
    juju add-relation ubucon-site gunicorn
    juju deploy postgresql
    juju add-relation ubucon-site postgresql:db
    juju expose ubucon-site

